"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var qs = require("query-string");
exports.replaceUrlParams = function (api, params) {
    return api.split('/').map(function (section) {
        if (section.match(/^:.*/ig)) {
            var y = section.substr(1);
            if (params.hasOwnProperty(y)) {
                return "" + params[y];
            }
        }
        return section;
    }).join('/');
};
var objectIsEmpty = function (obj) { return !obj || Object.keys(obj).length === 0; };
exports.getUrl = function (api, params, query) {
    if (params === void 0) { params = {}; }
    if (query === void 0) { query = {}; }
    var apiWithParams = objectIsEmpty(params) ? api : exports.replaceUrlParams(api, params);
    var queryString = objectIsEmpty(query) ? '' : "?" + qs.stringify(query);
    return "" + apiWithParams + queryString;
};
